Windows Component
Retrieve Windows Component Custom
The ID of the optimization setting to retrieve the windows component custom list.
Success
Image optimization windows component
Details Type
Windows Components Name
Windows Components Display Name
Windows Components Aliases
Unauthorized
Not Found
GET /api/AVD/HostPool/{id}/Optimization/WindowsComponent HTTP/1.1
Accept: */*
[
{
"type": [
"0 = Predefined",
"1 = Custom"
],
"componentName": "text",
"displayName": "text",
"aliases": "text"
}
]Adds a Windows Component Custom to optimization.
The ID of the Optimization settings to add the windows component custom.
Windows Components Alias
Windows Components Diplay Name
Windows Components Name
Created
No content
Unauthorized
Not Found
Conflict
POST /api/AVD/HostPool/{id}/Optimization/WindowsComponent HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 62
{
"aliases": "text",
"displayName": "text",
"componentName": "text"
}No content
Removes Windows Component Custom From Optimization.
The ID of the optimization setting to remove the windows component custom.
Windows Component Name
No Content
No content
Unauthorized
Not Found
DELETE /api/AVD/HostPool/{id}/Optimization/WindowsComponent HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 24
{
"componentName": "text"
}No content
Last updated